# Generated from rest-client-1.3.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rest-client

Summary: Simple REST client for Ruby
Name: rubygem-%{gem_name}
Version: 2.0.0
Release: 4%{?dist}
Group: Development/Languages
License: MIT
URL: https://github.com/rest-client/rest-client
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
# A few fixes for RSpec 2.0.
# https://github.com/rest-client/rest-client/commit/264e8ae812a13eca872feba37c7555a6a027b3e9
Patch0: rubygem-rest-client-1.6.7-an-assortment-of-fixes-for-new-rspec-and-ruby.patch
Requires: ruby(release)
Requires: ruby(rubygems)
Requires: rubygem(http-cookie) >= 1.0.2
Requires: rubygem(http-cookie) < 2.0
Requires: rubygem(mime-types) >= 1.16
Requires: rubygem(mime-types) < 4.0
Requires: rubygem(netrc) >= 0.8
Requires: rubygem(netrc) < 1
BuildRequires: ruby >= 2.0.0
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: rubygem(rspec) >= 3.0
BuildRequires: rubygem(rspec) < 4
BuildRequires: rubygem(webmock) >= 2.0
BuildRequires: rubygem(webmock) < 3
BuildRequires: rubygem(netrc)
BuildRequires: rubygem(mime-types) >= 1.16
BuildRequires: rubygem(mime-types) < 4.0
BuildRequires: rubygem(http-cookie) >= 1.0.2
BuildRequires: rubygem(http-cookie) < 2.0
BuildRequires: rubygem(pry) < 1
BuildRequires: rubygem(pry-doc) < 1
BuildRequires: rubygem(rubocop) < 1
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
A simple Simple HTTP and REST client for Ruby, inspired by the Sinatra
microframework style of specifying actions: get, put, post, delete.


%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec

%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

rm -fR %{buildroot}%{gem_instdir}/.yardoc

%check
pushd .%{gem_instdir}
# TODO: According to comment in %%{PATCH0}, at least one test does not passes on
# R1.9.3. I gon't go to investigate further ATM.
#rspec spec | grep -e "188 examples, [34] failures"
# 2.0.0 adds integration tests that rely on network access
# this is a no-no for most rpm based build systems
rm spec/integration/httpbin_spec.rb spec/integration/request_spec.rb
rspec spec
popd

%files
%{_bindir}/restclient
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/bin
%{gem_libdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/Rakefile
%doc %{gem_instdir}/AUTHORS
%{gem_instdir}/Gemfile
%{gem_instdir}/rest-client.gemspec
%{gem_instdir}/rest-client.windows.gemspec
%doc %{gem_instdir}/history.md
%license %{gem_instdir}/LICENSE
%doc %{gem_instdir}/spec
%doc %{gem_docdir}
%exclude %{gem_cache}
%{gem_spec}
%{gem_instdir}/.rspec
%{gem_instdir}/.rubocop-disables.yml
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml


%changelog
* Wed Sep 28 2016 Rich Megginson <rmeggins@redhat.com> - 2.0.0-4
- bump rel to rebuild for rhlog
- remove integration tests because they access external sites

* Tue Sep 20 2016 Rich Megginson <rmeggins@redhat.com> - 2.0.0-1
- Update to 2.0.0

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar 11 2013 Vít Ondruch <vondruch@redhat.com> - 1.6.7-2
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Sat Sep 22 2012 Tim Bielawa <tim@redhat.com> - 1.6.7-1
- Update to 1.6.7

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb 01 2012 Vít Ondruch <vondruch@redhat.com> - 1.6.1-4
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 08 2010 Michal Fojtik <mfojtik@redhat.com> - 1.6.1-1
- New version release

* Wed Mar 03 2010 Michal Fojtik <mfojtik@redhat.com> - 1.4.0-6
- New version release

* Wed Feb 17 2010 Michal Fojtik <mfojtik@redhat.com> - 1.3.1-5
- Added %dir %{geminstdir} into spec file

* Wed Feb 17 2010 Michal Fojtik <mfojtik@redhat.com> - 1.3.1-4
- Marked README.rdoc, history.md and spec/ as %doc

* Tue Feb 16 2010 Michal Fojtik <mfojtik@redhat.com> - 1.3.1-3
- Fixed licence (MIT)
- Fixed duplicated files in spec
- Replaced %define with %global

* Tue Feb 16 2010 Michal Fojtik <mfojtik@redhat.com> - 1.3.1-2
- Fixed spec filename
- Added Ruby dependency

* Tue Feb 16 2010 Michal Fojtik <mfojtik@redhat.com> - 1.3.1-1
- Initial package
